Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612184 - Cannot create and run on vmware workstation 7.1.0 build-261024
Cannot create and run on vmware workstation 7.1.0 build-261024
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 09:55 EDT by John Gorman
Modified: 2010-08-06 09:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 15:07:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Gorman 2010-07-07 09:55:31 EDT
Description of problem:

RHEL6 beta 2, both server and workstation versions:
Using vmware workstation 7.1.0 build-261024 to create
a vm gives this error:

"You have specified that the group 'X Windows' should
be installed. This group does not exist. Would you
like to continue or abort this installation."

Then at boot time I do not get a console prompt.
I cannot log in to find the IP, and therefor I
cannot ssh in. Completely unusable.

RHEL6 beta 1 works fine.

Version-Release number of selected component (if applicable):


How reproducible: Every time.

Steps to Reproduce:
1. Under vmware worstation create a new vm.
2. Wait for the console login prompt.
3. Never happens.
  
Actual results: Unusable VM.

Expected results: A console prompt.

Additional info:

Works:

RHEL6.0-20100414.0-AP-i386-DVD1.iso

Does not work:

RHEL6.0-20100622.1-Server-i386-DVD1.iso
RHEL6.0-20100622.1-Workstation-i386-DVD1.iso
Comment 2 Bill Nottingham 2010-07-07 21:35:59 EDT
This sounds like your kickstart file is incorrect. Can you attach it?
Comment 3 John Gorman 2010-07-08 09:06:49 EDT
Hi Bill

There is no kickstart file. VMware workstation just
asks for the location of the iso on my file system
and installs it.

Beta 1 works fine with VMware workstation.

Beta 2, both the server and the workstation versions
are unusable. The console freezes at the end of
the boot process and does not give a login prompt
or a login screen.

This is kind of important because VMware is the
easiest way to test a new OS. Plus people will
be evaluating this for VMware servers.

I have no idea whether this problem shows up on
VMware server. I am in programming and I don't
have direct access to the VMware server that runs
all of our production servers.

You can download VMware workstation yourself and
try it. I am sure that it is some tiny detail
that makes the difference.

- john
Comment 6 Chris Lumens 2010-07-14 15:40:28 EDT
This message:

"You have specified that the group 'X Windows' should
be installed. This group does not exist. Would you
like to continue or abort this installation."

only exists in the package selection code for kickstart:

clumens@exeter:~/src/anaconda$ git checkout rhel6-branch
Switched to branch 'rhel6-branch'
clumens@exeter:~/src/anaconda$ grep -r "You have specified" *
kickstart.py:                                _("You have specified that the "
kickstart.py:                                        _("You have specified that the "

What kind of installation are you doing?  Can you attach /tmp/anaconda.log from when you hit this error to this bug report if at all possible?
Comment 7 RHEL Product and Program Management 2010-07-15 15:37:36 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 8 Joshua Kwan 2010-08-05 20:29:36 EDT
Hi guys, I maintain the Easy Install (Kickstart autogeneration) framework for VMware Workstation.
As you may have guessed, yes, there is a Kickstart file involved. The bug was that the "X Windows" comp name disappeared between RHEL6 Beta1 and Beta2 and we released Workstation 7.1.0 only with knowledge of Beta1. The bug has now been fixed and full RHEL6 support will be provided for 7.1.2. At this time I cannot provide an official ETA.

Thanks, and please let me know if any other issues of this sort (VMware + Kickstart) are encountered.
Comment 9 Chris Lumens 2010-08-06 09:26:29 EDT
Great, thanks for the status update.  Glad to hear it's been corrected.

Note You need to log in before you can comment on or make changes to this bug.